org.hibernate.search.query.dsl.impl

## Class ConnectedQueryBuilder

- java.lang.Object
- - org.hibernate.search.query.dsl.impl.ConnectedQueryBuilder

- All Implemented Interfaces:
    QueryBuilder

      public class ConnectedQueryBuilder
      extends Object
      implements QueryBuilder

  Assuming connection with the search factory
  Author:
    Emmanuel Bernard

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectedQueryBuilder(QueryBuildingContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AllContext` | `all()` Query matching all documents (typically mixed with a boolean query).
    `BooleanJunction` | `bool()` Start for building a boolean query.
    `FacetContext` | `facet()` Build a facet query.
    `TermContext` | `keyword()` Build a term query (see `TermQuery`).
    `MoreLikeThisContext` | `moreLikeThis()` Build a query matching resembling content.
    `PhraseContext` | `phrase()` Build a phrase query (see `PhraseQuery`).
    `RangeContext` | `range()` Build a range query (see `TermRangeQuery`.
    `SimpleQueryStringContext` | `simpleQueryString()` Build a query from a simple query string.
    `SortContext` | `sort()` Build a sort that can be applied to a query execution.
    `SpatialContext` | `spatial()` Build a spatial query.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectedQueryBuilder

          public ConnectedQueryBuilder(QueryBuildingContext context)

  - ### Method Detail

    - #### keyword

          public TermContext keyword()

      Description copied from interface: `QueryBuilder`
      Build a term query (see `TermQuery`).
      Specified by:
        `keyword` in interface `QueryBuilder`
      Returns:
        a `TermContext` instance for building the term query

    - #### range

          public RangeContext range()

      Description copied from interface: `QueryBuilder`
      Build a range query (see `TermRangeQuery`.
      Specified by:
        `range` in interface `QueryBuilder`
      Returns:
        a `RangeContext` instance for building the range query

    - #### phrase

          public PhraseContext phrase()

      Description copied from interface: `QueryBuilder`
      Build a phrase query (see `PhraseQuery`).
      Specified by:
        `phrase` in interface `QueryBuilder`
      Returns:
        a `PhraseContext` instance for building the phrase query

    - #### simpleQueryString

          public SimpleQueryStringContext simpleQueryString()

      Description copied from interface: `QueryBuilder`
      Build a query from a simple query string.
      Specified by:
        `simpleQueryString` in interface `QueryBuilder`
      Returns:
        a `SimpleQueryStringContext` instance for building a query from a simple query string

    - #### bool

          public BooleanJunction bool()

      Description copied from interface: `QueryBuilder`
      Start for building a boolean query.
      Specified by:
        `bool` in interface `QueryBuilder`
      Returns:
        a `BooleanJunction` instance for building the boolean query

    - #### all

          public AllContext all()

      Description copied from interface: `QueryBuilder`
      Query matching all documents (typically mixed with a boolean query).
      Specified by:
        `all` in interface `QueryBuilder`
      Returns:
        an `AllContext`

    - #### facet

          public FacetContext facet()

      Description copied from interface: `QueryBuilder`
      Build a facet query.
      Specified by:
        `facet` in interface `QueryBuilder`
      Returns:
        the facet context as entry point for building the facet request

    - #### spatial

          public SpatialContext spatial()

      Description copied from interface: `QueryBuilder`
      Build a spatial query.
      Specified by:
        `spatial` in interface `QueryBuilder`
      Returns:
        the spatial context as entry point got building the spatial request

    - #### moreLikeThis

          public MoreLikeThisContext moreLikeThis()

      Description copied from interface: `QueryBuilder`
      Build a query matching resembling content. It uses an approach similar to Lucene's `MoreLikeThis`
      Specified by:
        `moreLikeThis` in interface `QueryBuilder`
      Returns:
        the entry point for building a more like this query

    - #### sort

          public SortContext sort()

      Description copied from interface: `QueryBuilder`
      Build a sort that can be applied to a query execution. When multiple sort definitions are expressed, they are processed in decreasing priority.
      Specified by:
        `sort` in interface `QueryBuilder`
      Returns:
        the entry point for building a sort

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved